<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ai.da.mapper.primary.SubscriptionInfoMapper">
    <insert id="insertIgnore" parameterType="com.ai.da.mapper.primary.entity.SubscriptionInfo">
        INSERT IGNORE INTO
               t_subscription_info (account_id, order_no, subscription_id, type, status, cancel_notified,
                                    next_pay_date, current_period_start, current_period_end, create_time)
               VALUES (#{subscriptionInfo.accountId}, #{subscriptionInfo.orderNo}, #{subscriptionInfo.subscriptionId},
                        #{subscriptionInfo.type}, #{subscriptionInfo.status}, #{subscriptionInfo.cancelNotified},
                        #{subscriptionInfo.nextPayDate}, #{subscriptionInfo.currentPeriodStart},
                        #{subscriptionInfo.currentPeriodEnd}, #{subscriptionInfo.createTime});
    </insert>
</mapper>
